<?php
namespace Modules\Admin\CronJobs\Logs;

use \App\Mvc\View\Utils\Types\ListingColumn;
use \App\Mvc\View\Utils\Types\ListingColumns;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	/**
	 * Results per page list
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::$resultsPerPageList
	 */
	protected $resultsPerPageList = [5, 10, 15, 20, 25, 50, 100];

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{

		return ListingColumns::create()
			->append(
				ListingColumn::create('name')
			)
			->append(
				ListingColumn::create('executionType')
			)
			->append(
				ListingColumn::create('status')
			)
			->append(
				ListingColumn::create('errorStatus')
			)
			->append(
				ListingColumn::create('shortOutput')
					->addCssClassAutoIdentifier()
					->setInvisible(true)
			)
			->append(
				ListingColumn::create('addTime')
					->setSortable('DESC')
					->setType('datetime')
			)

		->loadLabels($this->lang['index']['listCols'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}


	protected function loadTranslations()
	{
		parent::loadTranslations();
		\App\Loader_Lang::getInstance()->loadAppFile('admin/cronJobs/management/cronJobs.lang.php');
	}


}
